%global bundle org.springframework.build.ant
Name:          spring-build-ant
Version:       1.1.1
Release:       %mkrel 1
Summary:       Ant tasks for Spring Build module
Group:         Development/Java
License:       ASL 2,0
Url:           http://www.springsource.org/

# mkdir -p misc-ant-1.1.1
# git clone git://git.springsource.org/spring-build/misc-ant.git
# cd misc-ant
# git archive master | tar -x -C ../misc-ant-1.1.1
# cd ..
# tar czf misc-ant-1.1.1-src-git.tar.gz misc-ant-1.1.1
Source0:       misc-ant-1.1.1-src-git.tar.gz
# mkdir -p spring-build-2.8.0
# git clone git://git.springsource.org/spring-build/spring-build.git
# cd spring-build
# git archive 2.8.0 | tar -x -C ../spring-build-2.8.0
# cd ..
# tar czf spring-build-2.8.0-src-git.tar.gz spring-build-2.8.0

Source1:       spring-build-2.8.0-src-git.tar.gz

Source2:       org.springframework.build.ant.pom
# bootstrap
Source3:       org.springframework.build.ant-1.1.0.RELEASE.jar

Source4:       org.springframework.build.ant.jar

BuildRequires: jpackage-utils
BuildRequires: java-devel

BuildRequires: ant
BuildRequires: apache-commons-net
BuildRequires: ecj3

BuildRequires: apache-commons-logging
BuildRequires: ivy
BuildRequires: jakarta-commons-httpclient
BuildRequires: jets3t

Requires:      ant
Requires:      apache-commons-net
Requires:      ecj3

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
Spring projects are built using a combination of Ant and Ivy that is refered
to simply as 'Spring Build'.

This package contains small Ant tasks used by Spring Build module.

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}

%prep
%setup -q -n misc-ant-%{version} -a 1

for f in $(find . -name "*.jar"); do
 mv $f $f.no
done

rm -rf spring-build
mv spring-build-2.8.0 spring-build

mv spring-build/lib/ivy/org.springframework.build.aws.ivy.jar.no spring-build/lib/ivy/org.springframework.build.aws.ivy.jar
mv spring-build/lib/ivy/jets3t.jar.no spring-build/lib/ivy/jets3t.jar

mkdir -p local-repository/repository/org.apache.ant/com.springsource.org.apache.tools.ant/1.7.0
ln -sf $(build-classpath ant) \
  local-repository/repository/org.apache.ant/com.springsource.org.apache.tools.ant/1.7.0/com.springsource.org.apache.tools.ant-1.7.0.jar

touch local-repository/repository/org.apache.ant/com.springsource.org.apache.tools.ant/1.7.0/com.springsource.org.apache.tools.ant-sources-1.7.0.jar
touch local-repository/repository/org.apache.ant/com.springsource.org.apache.tools.ant/1.7.0/license-1.7.0.txt
touch local-repository/repository/org.apache.ant/com.springsource.org.apache.tools.ant/1.7.0/notice-1.7.0.txt

mkdir -p local-repository/repository/org.apache.commons/com.springsource.org.apache.commons.net/1.4.1
ln -sf $(build-classpath commons-net) \
  local-repository/repository/org.apache.commons/com.springsource.org.apache.commons.net/1.4.1/com.springsource.org.apache.commons.net-1.4.1.jar

touch local-repository/repository/org.apache.commons/com.springsource.org.apache.commons.net/1.4.1/com.springsource.org.apache.commons.net-sources-1.4.1.jar
touch local-repository/repository/org.apache.commons/com.springsource.org.apache.commons.net/1.4.1/license-1.4.1.txt

mkdir -p local-repository/repository/org.eclipse.jdt/com.springsource.org.eclipse.jdt.core.compiler.batch/3.6.1
ln -sf $(build-classpath ecj3) \
  local-repository/repository/org.eclipse.jdt/com.springsource.org.eclipse.jdt.core.compiler.batch/3.6.1/com.springsource.org.eclipse.jdt.core.compiler.batch-3.6.1.jar

touch local-repository/repository/org.eclipse.jdt/com.springsource.org.eclipse.jdt.core.compiler.batch/3.6.1/license-3.6.1.txt
touch local-repository/repository/org.eclipse.jdt/com.springsource.org.eclipse.jdt.core.compiler.batch/3.6.1/com.springsource.org.eclipse.jdt.core.compiler.batch-sources-3.6.1.jar

mkdir -p local-repository/repository/org.springframework.build/org.springframework.build.ant/1.1.0.RELEASE
touch local-repository/repository/org.springframework.build/org.springframework.build.ant/1.1.0.RELEASE/org.springframework.build.ant-sources-1.1.0.RELEASE.jar
#cp -pr %{SOURCE3} local-repository/repository/org.springframework.build/org.springframework.build.ant/1.1.0.RELEASE/
cp -pr %{SOURCE4} local-repository/repository/org.springframework.build/org.springframework.build.ant/1.1.0.RELEASE/org.springframework.build.ant-1.1.0.RELEASE.jar
%build

export CLASSPATH=""
CLASSPATH=${CLASSPATH}:$(build-classpath commons-codec commons-httpclient commons-logging ivy ecj3)
CLASSPATH=${CLASSPATH}:$PWD/spring-build/lib/ivy/jets3t.jar
CLASSPATH=${CLASSPATH}:$PWD/spring-build/lib/ivy/org.springframework.build.aws.ivy.jar
export ANT_OPTS="-Xmx768m -XX:MaxPermSize=128m"
export IVY_CACHE=$(pwd)/ivy-cache/repository
export IVY_LOCAL=$(pwd)/local-repository
export ANT_BUILD_OPTS="-Divy.cache.dir=${IVY_LOCAL} -Dlocal.repo.dir=${IVY_LOCAL} -Dtest.halt=false -Dbuild.sysclasspath=first -Djava.awt.headless=true"

(
  cd org.springframework.build.ant
  ln -sf ../spring-build .
# TODO
echo 'disable.bundlor=true' >> build.properties-temp
cat build.properties >> build.properties-temp
  rm build.properties && mv build.properties-temp build.properties
  %{ant} $ANT_BUILD_OPTS jar
)

rm -rf local-repository/repository/org.springframework.build/org.springframework.build.ant/1.1.0.RELEASE/org.springframework.build.ant-1.1.0.RELEASE.jar
cp -pr org.springframework.build.ant/target/artifacts/org.springframework.build.ant.jar  \
  local-repository/repository/org.springframework.build/org.springframework.build.ant/1.1.0.RELEASE/org.springframework.build.ant-1.1.0.RELEASE.jar
(
  cd org.springframework.build.ant
  %{ant} $ANT_BUILD_OPTS jar javadoc-all
)

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/spring-build
install -pm 644 %{bundle}/target/artifacts/%{bundle}-sources.jar $RPM_BUILD_ROOT%{_javadir}/spring-build/
install -pm 644 %{bundle}/target/artifacts/%{bundle}.jar $RPM_BUILD_ROOT%{_javadir}/spring-build/

install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 %{SOURCE2} $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.spring-build-%{bundle}.pom
sed -i "s|<version>@VERSION@</version>|<version>%{version}</version>|" $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.spring-build-%{bundle}.pom
%add_to_maven_depmap org.springframework.build %{bundle} %{version} JPP/spring-build %{bundle}

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp %{bundle}/target/javadoc-all/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/spring-build/%{bundle}.jar
%{_javadir}/spring-build/%{bundle}-sources.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc license.txt notice.txt

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Mon Nov 28 2011 gil <gil> 1.1.1-1.mga2
+ Revision: 173345
- imported package spring-build-ant

